﻿using Dto;
using Entities;
using Shared;
using Shared.Mapper;

namespace API.Service;

public class InquiryDataServiceApi(IInquiryService<InquiryEntity> inquiryService) : IInquiryService<InquiryDTO>
{
    public IEnumerable<InquiryDTO> GetInquiries(int page, int number)
    {
        var inquiries = inquiryService.GetInquiries(page, number);
        return inquiries.Select(i => i.FromEntityToDTO()).ToList();
    }

    public InquiryDTO GetInquiryById(int id) => inquiryService.GetInquiryById(id).FromEntityToDTO();

    public InquiryDTO GetInquiryByTitle(string title) => inquiryService.GetInquiryByTitle(title).FromEntityToDTO();
}